Index: modules/dnet-core-components/branches/saxonHE-SOLR-772/src/main/java/eu/dnetlib/utils/MetadataReferenceFactory.java
===================================================================
--- modules/dnet-core-components/branches/saxonHE-SOLR-772/src/main/java/eu/dnetlib/utils/MetadataReferenceFactory.java	(revision 57157)
+++ modules/dnet-core-components/branches/saxonHE-SOLR-772/src/main/java/eu/dnetlib/utils/MetadataReferenceFactory.java	(revision 57158)
@@ -1,24 +1,23 @@
 package eu.dnetlib.utils;
 
+
 public class MetadataReferenceFactory {
 
-	public MetadataReference getMetadata(final String format, final String layout, final String interpretation) {
+	public static MetadataReference getMetadata(final String format, final String layout, final String interpretation) {
 		return new MetadataReference(format, layout, interpretation);
 	}
 
-	public MetadataReference decodeMetadata(final String encoded) {
-		return decodeMetadata(encoded, "@");
+	public static MetadataReference decodeMetadata(final String encoded) {
+		String[] split = encoded.split("-");
+		if (split.length == 3) return getMetadata(split[0], split[1], split[2]);
+
+		throw new IllegalStateException("malformed metadata reference: " + encoded);
 	}
 
-	public MetadataReference decodeMetadata(final String encoded, final String separator) {
-		String[] split = encoded.split(separator);
+	public static MetadataReference decode(final String encoded, String mdref_separator_value) {
+		String[] split = encoded.split(mdref_separator_value);
 		if (split.length == 3) return getMetadata(split[0], split[1], split[2]);
 
 		throw new IllegalStateException("malformed metadata reference: " + encoded);
 	}
-
-	public static MetadataReference decode(final String encoded, final String separator) {
-		return new MetadataReferenceFactory().decodeMetadata(encoded, separator);
-	}
-
 }
Index: modules/dnet-core-components/branches/saxonHE-SOLR-772/src/main/java/eu/dnetlib/clients/index/query/IndexQueryFactory.java
===================================================================
--- modules/dnet-core-components/branches/saxonHE-SOLR-772/src/main/java/eu/dnetlib/clients/index/query/IndexQueryFactory.java	(revision 57157)
+++ modules/dnet-core-components/branches/saxonHE-SOLR-772/src/main/java/eu/dnetlib/clients/index/query/IndexQueryFactory.java	(revision 57158)
@@ -3,16 +3,19 @@
 import java.util.List;
 import java.util.Map;
 
+import org.springframework.beans.factory.annotation.Autowired;
+
 import com.google.common.collect.BiMap;
 import com.google.common.collect.Lists;
 import com.google.common.collect.Maps;
-import eu.dnetlib.clients.index.client.AbstractIndexClient;
+
+import eu.dnetlib.clients.index.client.IndexClient;
 import eu.dnetlib.clients.index.client.IndexClientException;
 import eu.dnetlib.clients.index.query.Pruner.Result;
 import eu.dnetlib.cql.CqlTranslator;
 import eu.dnetlib.cql.lucene.TranslatedQuery;
+import eu.dnetlib.rmi.provision.IndexServiceException;
 import eu.dnetlib.utils.MetadataReference;
-import org.springframework.beans.factory.annotation.Autowired;
 
 /**
  * A factory for creating IndexQuery objects.
@@ -29,35 +32,30 @@
 	 */
 	private Pruner cqlPruner;
 
-	/**
-	 * The default query params.
-	 */
+	/** The default query params. */
 	private Map<String, List<String>> defaultQueryParams;
 
-	/**
-	 * The browse aliases.
-	 */
+	/** CqlTranslator. */
 	@Autowired
-	private BrowseAliases browseAliases;
+	private CqlTranslator translator;
 
-	/**
-	 * The query translator.
-	 */
+	/** The browse aliases. */
 	@Autowired
-	private CqlTranslator cqlTranslator;
+	private BrowseAliases browseAliases;
 
-	/**
-	 * The weights.
-	 */
+	/** The weights. */
 	@Autowired
 	private Weights weights;
 
 	/**
 	 * New instance.
-	 *
-	 * @param cql           the cql
-	 * @param res           the res
-	 * @param queryLanguage the query language
+	 * 
+	 * @param cql
+	 *            the cql
+	 * @param res
+	 *            the res
+	 * @param queryLanguage
+	 *            the query language
 	 * @return the index query
 	 */
 	protected abstract IndexQuery newInstance(final TranslatedQuery cql, final Result res, final QueryLanguage queryLanguage);
@@ -64,22 +62,27 @@
 
 	/**
 	 * Sets the query options.
-	 *
-	 * @param indexQuery the index query
+	 * 
+	 * @param indexQuery
+	 *            the index query
 	 * @return the index query
 	 */
-	protected abstract IndexQuery setQueryOptions(final IndexQuery indexQuery, final AbstractIndexClient client);
+	protected abstract IndexQuery setQueryOptions(final IndexQuery indexQuery, final IndexClient client);
 
 	/**
 	 * Gets the index query.
-	 *
-	 * @param lang  the lang
-	 * @param query the query
-	 * @param mdRef the md ref
+	 * 
+	 * @param lang
+	 *            the lang
+	 * @param query
+	 *            the query
+	 * @param mdRef
+	 *            the md ref
 	 * @return the index query
-	 * @throws IndexClientException the index service exception
+	 * @throws IndexServiceException
+	 *             the index service exception
 	 */
-	public IndexQuery getIndexQuery(final QueryLanguage lang, final String query, final AbstractIndexClient client, final MetadataReference mdRef)
+	public IndexQuery getIndexQuery(final QueryLanguage lang, final String query, final IndexClient client, final MetadataReference mdRef)
 			throws IndexClientException {
 
 		String myquery = query;
@@ -90,7 +93,7 @@
 			final Result cqlRes = getCqlPruner().prune(getCqlPruner().parse(myquery));
 			final Result res = getPruner().prune(cqlRes.getNode());
 
-			final TranslatedQuery tQuery = cqlTranslator.getTranslatedQuery(res.getNode(), client.getCqlValueTransformerMap(mdRef),
+			final TranslatedQuery tQuery = translator.getTranslatedQuery(res.getNode(), client.getCqlValueTransformerMap(mdRef),
 					overrideCqlParams(cqlRes.getOptionMap()), browseAliases.get(mdRef), weights.get(mdRef));
 
 			return setQueryOptions(newInstance(tQuery, res, lang), client);
@@ -101,9 +104,11 @@
 
 	/**
 	 * Method overrides the default values in the defaultQueryParams with the given override map.
-	 *
-	 * @param override the map containing the override values.
+	 * 
+	 * @param override
+	 *            the map containing the override values.
 	 * @return the overridden parameter map
+	 * 
 	 */
 	private Map<String, List<String>> overrideCqlParams(final Map<String, List<String>> override) {
 		Map<String, List<String>> cqlParams = Maps.newHashMap();
@@ -118,9 +123,11 @@
 
 	/**
 	 * Gets the list of aliases available for browse
-	 *
-	 * @param fields  list of input fields
-	 * @param aliases key= non-browasbale-field-name, value=browsable-field-name
+	 * 
+	 * @param fields
+	 *            list of input fields
+	 * @param aliases
+	 *            key= non-browasbale-field-name, value=browsable-field-name
 	 * @return the list of browasable field names
 	 */
 	public List<String> getBrowsableFields(final List<String> fields, final BiMap<String, String> aliases) {
@@ -137,7 +144,7 @@
 
 	/**
 	 * Gets the pruner.
-	 *
+	 * 
 	 * @return the pruner
 	 */
 	public Pruner getPruner() {
@@ -146,8 +153,9 @@
 
 	/**
 	 * Sets the pruner.
-	 *
-	 * @param pruner the new pruner
+	 * 
+	 * @param pruner
+	 *            the new pruner
 	 */
 	public void setPruner(final Pruner pruner) {
 		this.pruner = pruner;
@@ -155,7 +163,7 @@
 
 	/**
 	 * Gets the cql pruner.
-	 *
+	 * 
 	 * @return the cql pruner
 	 */
 	public Pruner getCqlPruner() {
@@ -164,8 +172,9 @@
 
 	/**
 	 * Sets the cql pruner.
-	 *
-	 * @param cqlPruner the new cql pruner
+	 * 
+	 * @param cqlPruner
+	 *            the new cql pruner
 	 */
 	public void setCqlPruner(final Pruner cqlPruner) {
 		this.cqlPruner = cqlPruner;
@@ -173,7 +182,7 @@
 
 	/**
 	 * Gets the default query params.
-	 *
+	 * 
 	 * @return the default query params
 	 */
 	public Map<String, List<String>> getDefaultQueryParams() {
@@ -182,19 +191,12 @@
 
 	/**
 	 * Sets the default query params.
-	 *
-	 * @param defaultQueryParams the default query params
+	 * 
+	 * @param defaultQueryParams
+	 *            the default query params
 	 */
 	public void setDefaultQueryParams(final Map<String, List<String>> defaultQueryParams) {
 		this.defaultQueryParams = defaultQueryParams;
 	}
 
-	public CqlTranslator getCqlTranslator() {
-		return cqlTranslator;
-	}
-
-	public void setCqlTranslator(final CqlTranslator cqlTranslator) {
-		this.cqlTranslator = cqlTranslator;
-	}
-
 }
Index: modules/dnet-core-components/branches/saxonHE-SOLR-772/src/main/java/eu/dnetlib/clients/index/client/response/BrowseEntry.java
===================================================================
--- modules/dnet-core-components/branches/saxonHE-SOLR-772/src/main/java/eu/dnetlib/clients/index/client/response/BrowseEntry.java	(revision 57157)
+++ modules/dnet-core-components/branches/saxonHE-SOLR-772/src/main/java/eu/dnetlib/clients/index/client/response/BrowseEntry.java	(revision 57158)
@@ -3,15 +3,13 @@
 import java.util.List;
 
 public class BrowseEntry {
-
 	private String field;
 	private String label;
 	private List<BrowseValueEntry> values;
-
-	public BrowseEntry() {
-	}
-
-	public BrowseEntry(final String field, final String label, final List<BrowseValueEntry> values) {
+	
+	public BrowseEntry() {}
+	
+	public BrowseEntry(final String field, final String label,final  List<BrowseValueEntry> values) {
 		this.field = field;
 		this.label = label;
 		this.values = values;
Index: modules/dnet-core-components/branches/saxonHE-SOLR-772/src/main/java/eu/dnetlib/clients/index/model/AnySeq.java
===================================================================
--- modules/dnet-core-components/branches/saxonHE-SOLR-772/src/main/java/eu/dnetlib/clients/index/model/AnySeq.java	(revision 57157)
+++ modules/dnet-core-components/branches/saxonHE-SOLR-772/src/main/java/eu/dnetlib/clients/index/model/AnySeq.java	(revision 57158)
@@ -5,15 +5,17 @@
 
 /**
  * Interface for a sequence of Any objects.
+ * 
  * <p>
- * <p>
  * AnySeq does <b>not</b> allow <code>null</code> values!
  * </p>
+ * 
  */
 public interface AnySeq extends List<Any>, Any {
 
 	/**
-	 * @param element The string object to add
+	 * @param element
+	 *            The string object to add
 	 * @return true if successfully added, false else
 	 */
 	boolean add(String element);
@@ -21,91 +23,105 @@
 	/**
 	 * Long, Integer, Short and Byte values will be converted to Value object of type LONG, all others to Value object
 	 * of type DOUBLE.
-	 *
-	 * @param number The number object to add
+	 * 
+	 * @param number
+	 *            The number object to add
 	 * @return true if successfully added, false else
 	 */
 	boolean add(Number number);
 
 	/**
-	 * @param index   The index where to add the any object
-	 * @param element The any object to add
+	 * @param index
+	 *            The index where to add the any object
+	 * @param element
+	 *            The any object to add
 	 */
 	@Override
 	void add(int index, Any element);
 
 	/**
-	 * @param index The index of the object to return
+	 * @param index
+	 *            The index of the object to return
 	 * @return The AnyMap matching to the index, an InvalidValueTypeException is thrown if the value is not of type
-	 * AnyMap
+	 *         AnyMap
 	 */
 	AnyMap getMap(int index);
 
 	/**
-	 * @param index The index of the object to return
+	 * @param index
+	 *            The index of the object to return
 	 * @return The AnySeq matching to this index, an InvalidValueTypeException is thrown if the value is not of type
 	 */
 	AnySeq getSeq(int index);
 
 	/**
-	 * @param index The index of the object to return
+	 * @param index
+	 *            The index of the object to return
 	 * @return The value matching to this index, an InvalidValueTypeException is thrown if the value is no value type.
 	 */
 	Value getValue(int index);
 
 	/**
-	 * @param index The index of the object to return
+	 * @param index
+	 *            The index of the object to return
 	 * @return The string value matching to this index, an InvalidValueTypeException is thrown if the value is not of
-	 * type string
+	 *         type string
 	 */
 	String getStringValue(int index);
 
 	/**
-	 * @param index The index of the object to return
+	 * @param index
+	 *            The index of the object to return
 	 * @return The double value matching to this index, an InvalidValueTypeException is thrown if the value is not of
-	 * type double
+	 *         type double
 	 */
 	Double getDoubleValue(int index);
 
 	/**
-	 * @param index The index of the object to return
+	 * @param index
+	 *            The index of the object to return
 	 * @return The long value matching to this index, an InvalidValueTypeException is thrown if the value is not of type
-	 * long
+	 *         long
 	 */
 	Long getLongValue(int index);
 
 	/**
-	 * @param index The index of the object to return
+	 * @param index
+	 *            The index of the object to return
 	 * @return The boolean value matching to this index, an InvalidValueTypeException is thrown if the value is not of
-	 * type boolean
+	 *         type boolean
 	 */
 	Boolean getBooleanValue(int index);
 
 	/**
-	 * @param index The index of the object to return
+	 * @param index
+	 *            The index of the object to return
 	 * @return The date value matching to this index, an InvalidValueTypeException is thrown if the value is not of type
-	 * date
+	 *         date
 	 */
 	Date getDateValue(int index);
 
 	/**
-	 * @param index The index of the object to return
+	 * @param index
+	 *            The index of the object to return
 	 * @return The date time value matching to this index, an InvalidValueTypeException is thrown if the value is not of
-	 * type date time
+	 *         type date time
 	 */
 	Date getDateTimeValue(int index);
 
 	/**
 	 * returns all values as a List of Strings.
-	 *
-	 * @throws InvalidValueTypeException if not all contained values are strings.
+	 * 
+	 * @throws InvalidValueTypeException
+	 *             if not all contained values are strings.
 	 */
 	List<String> asStrings();
 
 	/**
 	 * returns all values as a List of Long.
-	 *
-	 * @throws InvalidValueTypeException if not all contained values are Longs.
+	 * 
+	 * @throws InvalidValueTypeException
+	 *             if not all contained values are Longs.
 	 */
 	List<Long> asLongs();
 
Index: modules/dnet-core-components/branches/saxonHE-SOLR-772/src/main/java/eu/dnetlib/clients/index/query/Pruner.java
===================================================================
--- modules/dnet-core-components/branches/saxonHE-SOLR-772/src/main/java/eu/dnetlib/clients/index/query/Pruner.java	(revision 57157)
+++ modules/dnet-core-components/branches/saxonHE-SOLR-772/src/main/java/eu/dnetlib/clients/index/query/Pruner.java	(revision 57158)
@@ -1,11 +1,9 @@
 package eu.dnetlib.clients.index.query;
 
 import java.io.IOException;
-import java.util.ArrayList;
-import java.util.HashMap;
-import java.util.List;
-import java.util.Map;
+import java.util.*;
 import java.util.stream.Collectors;
+import java.util.stream.Stream;
 
 import com.google.common.collect.Iterables;
 import com.google.common.collect.Lists;
@@ -16,23 +14,25 @@
 
 /**
  * Use this class to cleanup a CQL tree and obtain all the options
- *
+ * 
  * @author marko & claudio
+ * 
  */
 public class Pruner {
+	private static final Log log = LogFactory.getLog(Pruner.class); // NOPMD by marko on 11/24/08 5:02 PM
 
 	/**
 	 * All options have to be in this namespace.
 	 */
 	public static final String DNET_URI = "NAMESPACE";
-	private static final Log log = LogFactory.getLog(Pruner.class); // NOPMD by marko on 11/24/08 5:02 PM
+
 	private String optionUri = DNET_URI;
 
 	/**
 	 * Helper method, parse a given CQL string.
-	 *
+	 * 
 	 * @param cqlQuery
-	 * @return
+	 * @return the parsed CQLNode
 	 * @throws CQLParseException
 	 * @throws IOException
 	 */
@@ -40,12 +40,58 @@
 		return new CQLParser().parse(cqlQuery);
 	}
 
+	public class Result {
+		private CQLNode node;
+		private List<String> options;
+
+		public Result(final CQLNode node, final List<String> options) {
+			super();
+			this.node = node;
+			this.options = options;
+		}
+
+		public Result(final CQLNode node, final Iterable<String> concat) {
+			this.node = node;
+			this.options = Lists.newArrayList(concat);
+		}
+
+		public CQLNode getNode() {
+			return node;
+		}
+
+		public void setNode(final CQLNode node) {
+			this.node = node;
+		}
+
+		public List<String> getOptions() {
+			return options;
+		}
+
+		public void setOptions(final List<String> options) {
+			this.options = options;
+		}
+
+		public Map<String, List<String>> getOptionMap() {
+			Map<String, List<String>> res = new HashMap<String, List<String>>();
+			for (String opt : options) {
+				String[] k = opt.split("=");
+				List<String> l = res.get(k[0]);
+				if(l == null)
+					l = new ArrayList<String>();
+				l.add(k[1]);
+				res.put(k[0], l);
+			}
+			return res;
+		}
+	}
+
 	/**
 	 * Remove all options from a given CQL AST and return all the options.
-	 * <p>
+	 * 
 	 * The CQL tree is modified.
-	 *
-	 * @param root cql tree
+	 * 
+	 * @param root
+	 *            cql tree
 	 * @return pair containing a new root node and a list of options
 	 */
 	public Result prune(final CQLNode root) {
@@ -54,10 +100,10 @@
 
 	/**
 	 * Actual recursive implementation, dispatches the implementation to the appropriate overloaded method.
-	 *
+	 * 
 	 * @param prefixes
 	 * @param root
-	 * @return
+	 * @return the pruned result
 	 */
 	public Result prune(final Map<String, String> prefixes, final CQLNode root) {
 
@@ -68,19 +114,19 @@
 			return prune(prefixes, (CQLPrefixNode) root);
 
 		if (root instanceof CQLSortNode)
-			return prune(prefixes, (CQLSortNode) root);
-
+			return prune(prefixes, (CQLSortNode) root);		
+		
 		return new Result(root, new ArrayList<String>());
 	}
-
+	
 	/**
 	 * If the current node is a cql "sort" node, just return the inner subtree.
-	 *
+	 * 
 	 * @param prefixes
 	 * @param node
-	 * @return
+	 * @return the pruned result
 	 */
-	public Result prune(final Map<String, String> prefixes, final CQLSortNode node) {
+	public Result prune(final Map<String, String> prefixes, final CQLSortNode node) {	
 		Result res = prune(prefixes, node.subtree);
 		node.subtree = res.getNode();
 		res.setNode(node);
@@ -90,38 +136,38 @@
 	/**
 	 * If the current node is a cql "prefix" node, add his namespace declaration to the current list of namespaces and
 	 * return the pruned inner subtree.
-	 * <p>
+	 * 
 	 * If the prefix node contains only one single option element, we have to return null. (TODO: perhaps there is a
 	 * better solution).
-	 *
+	 * 
 	 * @param prefixes
 	 * @param node
-	 * @return
+	 * @return the pruned result
 	 */
 	public Result prune(final Map<String, String> prefixes, final CQLPrefixNode node) {
 		final HashMap<String, String> subPrefixes = Maps.newHashMap(prefixes);
 		subPrefixes.put(node.prefix.name, node.prefix.identifier);
-
+		
 		if (isOption(subPrefixes, node.subtree))
 			return new Result(null, Lists.newArrayList(getOption(node.subtree)));
 
 		boolean pruneThisPrefix = node.prefix.identifier.equals(optionUri);
-		if (pruneThisPrefix)
-			return prune(subPrefixes, node.subtree);
-
+		if(pruneThisPrefix)
+			return prune(subPrefixes, node.subtree);	
+		
 		Result res = prune(subPrefixes, node.subtree);
 		node.subtree = res.getNode();
 		res.setNode(node);
 		return res;
-
+		
 	}
 
 	/**
 	 * boolean prunes are handled in the prune(prefix, node, left, right).
-	 *
+	 * 
 	 * @param prefixes
 	 * @param node
-	 * @return
+	 * @return the pruned result
 	 */
 	public Result prune(final Map<String, String> prefixes, final CQLBooleanNode node) {
 		return prune(prefixes, node, node.left, node.right);
@@ -130,23 +176,21 @@
 	/**
 	 * Detects if a left or right side of a boolean node is a option term, and returns the other side (recursively
 	 * pruned). It also returns the accumulated options along the way.
-	 *
+	 * 
 	 * @param prefixes
 	 * @param bool
 	 * @param left
 	 * @param right
-	 * @return
+	 * @return the pruned result
 	 */
 	public Result prune(final Map<String, String> prefixes, final CQLBooleanNode bool, final CQLNode left, final CQLNode right) {
 
 		if (isOption(prefixes, left) && isOption(prefixes, right)) {
-			List<Result> r = Lists.newArrayList(trimOption(prefixes, left, right), trimOption(prefixes, right, left));
-
-			return new Result(null, r
-					.stream()
-					.filter(it -> it != null)
-					.map(res -> res.getOptions())
-					.flatMap(strings -> strings.stream())
+			return new Result(null, Stream.of(trimOption(prefixes, left, right), trimOption(prefixes, right, left))
+					.filter(Objects::nonNull)
+					.map(i -> i.getOptions())
+					.map(i -> i.stream())
+					.flatMap(i -> i)
 					.collect(Collectors.toList()));
 		}
 
@@ -171,13 +215,13 @@
 
 	/**
 	 * Trims an option from a boolean node if one if it's sides is an option term.
-	 * <p>
+	 * 
 	 * Intended to be used once for each sides and then swap.
-	 *
+	 * 
 	 * @param prefixes
 	 * @param a
 	 * @param b
-	 * @return
+	 * @return the pruned result
 	 */
 	public Result trimOption(final Map<String, String> prefixes, final CQLNode a, final CQLNode b) {
 		log.debug("trim option?" + prefixes + " a " + a.toCQL());
@@ -191,20 +235,20 @@
 
 	/**
 	 * prune(prefixes, bool, left, right) uses this helper method to do the dirty job:
-	 * <p>
+	 * 
 	 * we have to detect if a term node is a term option node. by checking the namespace uri associated with the term
 	 * prefix according the the current namespace prefix scope (held in prefixes, which is passed down recursively by
 	 * copy).
-	 *
+	 * 
 	 * @param prefixes
 	 * @param ns
 	 * @param o
 	 * @param subtree
-	 * @return
+	 * @return the pruned result
 	 */
 	public Result trimOption(final Map<String, String> prefixes, final String ns, final String o, final CQLNode subtree) {
 		log.debug("trimming " + prefixes + " ns " + ns + " o " + o);
-
+		
 		final String namespaceUri = prefixes.get(ns);
 
 		if (!optionUri.equals(namespaceUri)) {
@@ -217,9 +261,9 @@
 
 	/**
 	 * Drop a boolean node (and, or etc) if one of the sides has been dropped.
-	 *
+	 * 
 	 * @param bool
-	 * @return
+	 * @return the pruned result
 	 */
 	private CQLNode clean(final CQLBooleanNode bool) {
 		if (bool.left == null)
@@ -229,12 +273,12 @@
 		return bool;
 	}
 
+	////////////////// helpers
+
 	public String getOption(final CQLNode node) {
 		return indexFromOption(node) + "=" + termFromOption(node);
 	}
 
-	////////////////// helpers
-
 	private String indexFromOption(final CQLNode node) {
 		return ((CQLTermNode) node).getIndex().replaceAll("[a-z]*\\.(.+)", "$1");
 	}
@@ -272,50 +316,4 @@
 	public void setOptionUri(String optionUri) {
 		this.optionUri = optionUri;
 	}
-
-	public class Result {
-
-		private CQLNode node;
-		private List<String> options;
-
-		public Result(final CQLNode node, final List<String> options) {
-			super();
-			this.node = node;
-			this.options = options;
-		}
-
-		public Result(final CQLNode node, final Iterable<String> concat) {
-			this.node = node;
-			this.options = Lists.newArrayList(concat);
-		}
-
-		public CQLNode getNode() {
-			return node;
-		}
-
-		public void setNode(final CQLNode node) {
-			this.node = node;
-		}
-
-		public List<String> getOptions() {
-			return options;
-		}
-
-		public void setOptions(final List<String> options) {
-			this.options = options;
-		}
-
-		public Map<String, List<String>> getOptionMap() {
-			Map<String, List<String>> res = new HashMap<String, List<String>>();
-			for (String opt : options) {
-				String[] k = opt.split("=");
-				List<String> l = res.get(k[0]);
-				if (l == null)
-					l = new ArrayList<String>();
-				l.add(k[1]);
-				res.put(k[0], l);
-			}
-			return res;
-		}
-	}
-}
\ No newline at end of file
+}
Index: modules/dnet-core-components/branches/saxonHE-SOLR-772/src/main/java/eu/dnetlib/clients/index/model/DataFactory.java
===================================================================
--- modules/dnet-core-components/branches/saxonHE-SOLR-772/src/main/java/eu/dnetlib/clients/index/model/DataFactory.java	(revision 57157)
+++ modules/dnet-core-components/branches/saxonHE-SOLR-772/src/main/java/eu/dnetlib/clients/index/model/DataFactory.java	(revision 57158)
@@ -4,14 +4,13 @@
 
 import eu.dnetlib.clients.index.model.Any.ValueType;
 
+
 /**
  * Interface for creation of data objects.
  */
 public interface DataFactory {
 
-	/**
-	 * default instance.
-	 */
+	/** default instance. */
 	DataFactory DEFAULT = DataFactoryCreator.newInstance();
 
 	/**
@@ -25,63 +24,75 @@
 	AnySeq createAnySeq();
 
 	/**
-	 * @param value the String to create the Value from.
+	 * @param value
+	 *            the String to create the Value from.
 	 * @return The created Value object.
 	 */
 	Value createStringValue(String value);
 
 	/**
-	 * @param value the Boolean to create the Value from.
+	 * @param value
+	 *            the Boolean to create the Value from.
 	 * @return The created Value object.
 	 */
 	Value createBooleanValue(Boolean value);
 
 	/**
-	 * @param value the Long to create the Value from.
+	 * @param value
+	 *            the Long to create the Value from.
 	 * @return The created Value object.
 	 */
 	Value createLongValue(Long value);
 
 	/**
-	 * @param value the int to create the Value from.
+	 * @param value
+	 *            the int to create the Value from.
 	 * @return The created Value object.
 	 */
 	Value createLongValue(int value);
 
 	/**
-	 * @param value the Double to create the Value from.
+	 * @param value
+	 *            the Double to create the Value from.
 	 * @return The created Value object.
 	 */
 	Value createDoubleValue(Double value);
 
 	/**
-	 * @param value the float to create the Value from.
+	 * @param value
+	 *            the float to create the Value from.
 	 * @return The created Value object.
 	 */
 	Value createDoubleValue(float value);
 
 	/**
-	 * @param value the Date to create the Value from.
+	 * @param value
+	 *            the Date to create the Value from.
 	 * @return The created Value object.
 	 */
 	Value createDateValue(Date value);
 
 	/**
-	 * @param value the DateTime to create the Value from.
+	 * @param value
+	 *            the DateTime to create the Value from.
 	 * @return The created Value object.
 	 */
 	Value createDateTimeValue(Date value);
 
 	/**
-	 * @param value The value
-	 * @param type  The type
+	 * @param value
+	 *            The value
+	 * @param type
+	 *            The type
 	 * @return The Value object with correct type, InvalidvalueTypeException else.
 	 */
 	Value parseFromString(String value, String type);
 
 	/**
-	 * @param value     The value
-	 * @param valueType The value's type
+	 * @param value
+	 *            The value
+	 * @param valueType
+	 *            The value's type
 	 * @return The Value object with correct type, InvalidvalueTypeException else.
 	 */
 	Value parseFromString(final String value, final ValueType valueType);
@@ -88,14 +99,16 @@
 
 	/**
 	 * Tries to convert the String to a Date or Timestamp Value, if not possible return a String Value.
-	 *
-	 * @param value The value to check for Date/Timestamp
+	 * 
+	 * @param value
+	 *            The value to check for Date/Timestamp
 	 * @return The Value object with guessed type, InvalidvalueTypeException if value is null.
 	 */
 	Value tryDateTimestampParsingFromString(String value);
 
 	/**
-	 * @param object The object
+	 * @param object
+	 *            The object
 	 * @return The value matching the class of given object, InvalidValueTypeException otherwise.
 	 * @deprecated Use {@link #autoConvertValue(Object)} instead
 	 */
@@ -104,16 +117,20 @@
 
 	/**
 	 * auto converts the given object into the object's corresponding Value.
-	 *
-	 * @param object The object, must be one of the simple types
+	 * 
+	 * @param object
+	 *            The object, must be one of the simple types
 	 * @return The value matching the class of given object, InvalidValueTypeException otherwise.
+	 * 
 	 */
 	Value autoConvertValue(final Object object);
 
 	/**
 	 * Clone Any object.
-	 *
-	 * @param source the source
+	 * 
+	 * @param source
+	 *            the source
+	 * 
 	 * @return the attribute
 	 */
 	Any cloneAny(final Any source);
@@ -120,8 +137,10 @@
 
 	/**
 	 * Clone AnyMap object.
-	 *
-	 * @param source the source
+	 * 
+	 * @param source
+	 *            the source
+	 * 
 	 * @return the attribute
 	 */
 	AnyMap cloneAnyMap(final AnyMap source);
@@ -128,8 +147,10 @@
 
 	/**
 	 * Clone AnySeq object.
-	 *
-	 * @param source the source
+	 * 
+	 * @param source
+	 *            the source
+	 * 
 	 * @return the attribute
 	 */
 	AnySeq cloneAnySeq(final AnySeq source);
